<html>
<head>
<title>OGRE: Ogre::DefaultHardwareIndexBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html">DefaultHardwareIndexBuffer</a></div>
<h1>Ogre::DefaultHardwareIndexBuffer Class Reference</h1><!-- doxytag: class="Ogre::DefaultHardwareIndexBuffer" --><!-- doxytag: inherits="Ogre::HardwareIndexBuffer" -->Specialisation of <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> for emulation.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html">OgreDefaultHardwareBufferManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::DefaultHardwareIndexBuffer:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1DefaultHardwareIndexBuffer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a> { <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c25632653907abe886cb9c6ebeb2520733aee4a">IT_16BIT</a>, 
<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326a5194f6b6d409b1b20f91adf989ef329">IT_32BIT</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a> { <br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466306f26f67ab31d60248314c9c6c77c9edb">HBU_STATIC</a> =  1, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630bec61c14b13652a06566a79afd6f7518">HBU_DYNAMIC</a> =  2, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466302fe20ff00e9acb928a2d9680f0c505e2">HBU_WRITE_ONLY</a> =  4, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630246699879ba7647973a2d8ed86acf76f">HBU_DISCARDABLE</a> =  8, 
<br>
&nbsp;&nbsp;<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996">HBU_STATIC_WRITE_ONLY</a> =  5, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c">HBU_DYNAMIC_WRITE_ONLY</a> =  6, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec4663029ff2e0fd2b408359e84291b27282516">HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</a> =  14
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enums describing buffer usage; not mutually exclusive.  <a href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> { <a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fe11601d29cd56aad7ea7a1b23a688b0e">HBL_NORMAL</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f176ad39ac15fc0a6028d820a6fe228ae">HBL_DISCARD</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0fa364c1511514cd4d7ee1e7092eb41288">HBL_READ_ONLY</a>, 
<a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f32a2f7b1c3430cc9c3f0f665934d0c4a">HBL_NO_OVERWRITE</a>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locking options.  <a href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#17e622be7c689d6093d5705f944d6515">DefaultHardwareIndexBuffer</a> (<a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a> idxType, size_t numIndexes, <a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a> usage)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#c5c21c1c2b849c6e562539b486d24b06">~DefaultHardwareIndexBuffer</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#6889643eecbb00da9ae4c13042c28a42">readData</a> (size_t offset, size_t length, void *pDest)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#6889643eecbb00da9ae4c13042c28a42"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#f483fb9a4dad86099af6ab2c9c8f24dd">writeData</a> (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#f483fb9a4dad86099af6ab2c9c8f24dd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#377ec1f48ea9a94ae6c84010dd697618">lock</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing.  <a href="#377ec1f48ea9a94ae6c84010dd697618"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#99e0bdf70d975699bffaf987a4616b3e">unlock</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing.  <a href="#99e0bdf70d975699bffaf987a4616b3e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#3f2671fe0ad937070ea24d9bc7626cd3">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the type of indexes used in this buffer.  <a href="#3f2671fe0ad937070ea24d9bc7626cd3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#b9e775a91b90c6bbac888d97fe51d9d2">getNumIndexes</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the number of indexes in this buffer.  <a href="#b9e775a91b90c6bbac888d97fe51d9d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#294ab09e6caef25b3c42c277a5de95e1">getIndexSize</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the size in bytes of each index.  <a href="#294ab09e6caef25b3c42c277a5de95e1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#93b204642190e611bc226ea08d29160e">lock</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lock the entire buffer for (potentially) reading / writing.  <a href="#93b204642190e611bc226ea08d29160e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#721891f0c0bd391dd5848c8a585ba054">copyData</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy data from another buffer into this one.  <a href="#721891f0c0bd391dd5848c8a585ba054"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#344c52f2214eaff097d5fbc390e7684b">_updateFromShadow</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Updates the real buffer from the shadow buffer, if required.  <a href="#344c52f2214eaff097d5fbc390e7684b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#1b1b5faf06139040824fd989d0b279f8">getSizeInBytes</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the size of this buffer in bytes.  <a href="#1b1b5faf06139040824fd989d0b279f8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#0e00770f5e9395e41b6520be8421a6c8">getUsage</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the Usage flags with which this buffer was created.  <a href="#0e00770f5e9395e41b6520be8421a6c8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#61086322fba08abadf4fe6734a7c70f7">isSystemMemory</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether this buffer is held in system memory.  <a href="#61086322fba08abadf4fe6734a7c70f7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#d523887cfaa6abe48dd494a3ea06805a">hasShadowBuffer</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether this buffer has a system memory shadow for quicker reading.  <a href="#d523887cfaa6abe48dd494a3ea06805a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#3d5a62cbd76fc2ecd4e1a540bac5f9bc">isLocked</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether or not this buffer is currently locked.  <a href="#3d5a62cbd76fc2ecd4e1a540bac5f9bc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#688e1be4a913099ce5e06172771e2d45">suppressHardwareUpdate</a> (bool suppress)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> true to suppress hardware upload of shadow buffer changes.  <a href="#688e1be4a913099ce5e06172771e2d45"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a6fb414450d575e1ee37f3d72415da70">lockImpl</a> (size_t offset, size_t length, <a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a> options)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#a6fb414450d575e1ee37f3d72415da70"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#5d2c3465f93214d1035ac698df6f4a65">unlockImpl</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>.  <a href="#5d2c3465f93214d1035ac698df6f4a65"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a814123a952812a4b12d241f8b3e11fc">mpData</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#d55227078ba92018afb29c98a1287eb6">mIndexType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#8dfffabc8a138184c98227c7ad4fe871">mNumIndexes</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#55901ccfe05b1d3dc65be17174aae6ed">mIndexSize</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#a8fecea9221ffacaae2f1fdea38558da">mSizeInBytes</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#2eb83f024781415a7fefb31f65a255c2">mUsage</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#25edb91791e48a7cc9ba2fb05f11bd33">mIsLocked</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#272cf9751affd73ea03930153357930b">mLockStart</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#c96a7a04f4e29d8d00117a80d9a1c9a0">mLockSize</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#f97b321278124803d13b700a46657ecb">mSystemMemory</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#2caed02d4c9ad400d020ea8b0b24adf4">mUseShadowBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#01ef9e872aec8bb74b75be1aff787c8f">mpShadowBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#68127e87e132304c7655df554a82110c">mShadowUpdated</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBuffer.html#47e53af2e87624c42ab934766bf65fca">mSuppressHardwareUpdate</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialisation of <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> for emulation. 
<p>Definition at line <a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html#l00067">67</a> of file <a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html">OgreDefaultHardwareBufferManager.h</a>.</p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="25ba4923e015d46de162f7cc4c256326"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::IndexType" ref="25ba4923e015d46de162f7cc4c256326" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">Ogre::HardwareIndexBuffer::IndexType</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="25ba4923e015d46de162f7cc4c25632653907abe886cb9c6ebeb2520733aee4a"></a><!-- doxytag: member="IT_16BIT" ref="25ba4923e015d46de162f7cc4c25632653907abe886cb9c6ebeb2520733aee4a" args="" -->IT_16BIT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="25ba4923e015d46de162f7cc4c256326a5194f6b6d409b1b20f91adf989ef329"></a><!-- doxytag: member="IT_32BIT" ref="25ba4923e015d46de162f7cc4c256326a5194f6b6d409b1b20f91adf989ef329" args="" -->IT_32BIT</em>&nbsp;</td><td>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00043">43</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e51f5970d879af736e4cf53e1ec46630"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::Usage" ref="e51f5970d879af736e4cf53e1ec46630" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Ogre::HardwareBuffer::Usage</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Enums describing buffer usage; not mutually exclusive. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec466306f26f67ab31d60248314c9c6c77c9edb"></a><!-- doxytag: member="HBU_STATIC" ref="e51f5970d879af736e4cf53e1ec466306f26f67ab31d60248314c9c6c77c9edb" args="" -->HBU_STATIC</em>&nbsp;</td><td>
Static buffer which the application rarely modifies once created. 
<p>
Modifying the contents of this buffer will involve a performance hit. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec46630bec61c14b13652a06566a79afd6f7518"></a><!-- doxytag: member="HBU_DYNAMIC" ref="e51f5970d879af736e4cf53e1ec46630bec61c14b13652a06566a79afd6f7518" args="" -->HBU_DYNAMIC</em>&nbsp;</td><td>
Indicates the application would like to modify this buffer with the CPU fairly often. 
<p>
Buffers created with this flag will typically end up in AGP memory rather than video memory. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec466302fe20ff00e9acb928a2d9680f0c505e2"></a><!-- doxytag: member="HBU_WRITE_ONLY" ref="e51f5970d879af736e4cf53e1ec466302fe20ff00e9acb928a2d9680f0c505e2" args="" -->HBU_WRITE_ONLY</em>&nbsp;</td><td>
Indicates the application will never read the contents of the buffer back, it will only ever write data. 
<p>
Locking a buffer with this flag will ALWAYS return a pointer to new, blank memory rather than the memory associated with the contents of the buffer; this avoids DMA stalls because you can write to a new memory area while the previous one is being used. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec46630246699879ba7647973a2d8ed86acf76f"></a><!-- doxytag: member="HBU_DISCARDABLE" ref="e51f5970d879af736e4cf53e1ec46630246699879ba7647973a2d8ed86acf76f" args="" -->HBU_DISCARDABLE</em>&nbsp;</td><td>
Indicates that the application will be refilling the contents of the buffer regularly (not just updating, but generating the contents from scratch), and therefore does not mind if the contents of the buffer are lost somehow and need to be recreated. 
<p>
This allows and additional level of optimisation on the buffer. This option only really makes sense when combined with HBU_DYNAMIC_WRITE_ONLY. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996"></a><!-- doxytag: member="HBU_STATIC_WRITE_ONLY" ref="e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996" args="" -->HBU_STATIC_WRITE_ONLY</em>&nbsp;</td><td>
Combination of HBU_STATIC and HBU_WRITE_ONLY. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY" ref="e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c" args="" -->HBU_DYNAMIC_WRITE_ONLY</em>&nbsp;</td><td>
Combination of HBU_DYNAMIC and HBU_WRITE_ONLY. 
<p>
If you use this, strongly consider using HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE instead if you update the entire contents of the buffer very regularly. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="e51f5970d879af736e4cf53e1ec4663029ff2e0fd2b408359e84291b27282516"></a><!-- doxytag: member="HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE" ref="e51f5970d879af736e4cf53e1ec4663029ff2e0fd2b408359e84291b27282516" args="" -->HBU_DYNAMIC_WRITE_ONLY_DISCARDABLE</em>&nbsp;</td><td>
Combination of HBU_DYNAMIC, HBU_WRITE_ONLY and HBU_DISCARDABLE. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00073">73</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac34930556f611928ec9157c04bd1b0f"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::LockOptions" ref="ac34930556f611928ec9157c04bd1b0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">Ogre::HardwareBuffer::LockOptions</a><code> [inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Locking options. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="ac34930556f611928ec9157c04bd1b0fe11601d29cd56aad7ea7a1b23a688b0e"></a><!-- doxytag: member="HBL_NORMAL" ref="ac34930556f611928ec9157c04bd1b0fe11601d29cd56aad7ea7a1b23a688b0e" args="" -->HBL_NORMAL</em>&nbsp;</td><td>
Normal mode, ie allows read/write and contents are preserved. 
<p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" name="ac34930556f611928ec9157c04bd1b0f176ad39ac15fc0a6028d820a6fe228ae"></a><!-- doxytag: member="HBL_DISCARD" ref="ac34930556f611928ec9157c04bd1b0f176ad39ac15fc0a6028d820a6fe228ae" args="" -->HBL_DISCARD</em>&nbsp;</td><td>
Discards the <em>entire</em> buffer while locking; this allows optimisation to be performed because synchronisation issues are relaxed. 
<p>
Only allowed on buffers created with the HBU_DYNAMIC flag. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="ac34930556f611928ec9157c04bd1b0fa364c1511514cd4d7ee1e7092eb41288"></a><!-- doxytag: member="HBL_READ_ONLY" ref="ac34930556f611928ec9157c04bd1b0fa364c1511514cd4d7ee1e7092eb41288" args="" -->HBL_READ_ONLY</em>&nbsp;</td><td>
Lock the buffer for reading only. 
<p>
Not allowed in buffers which are created with HBU_WRITE_ONLY. Mandatory on statuc buffers, ie those created without the HBU_DYNAMIC flag. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="ac34930556f611928ec9157c04bd1b0f32a2f7b1c3430cc9c3f0f665934d0c4a"></a><!-- doxytag: member="HBL_NO_OVERWRITE" ref="ac34930556f611928ec9157c04bd1b0f32a2f7b1c3430cc9c3f0f665934d0c4a" args="" -->HBL_NO_OVERWRITE</em>&nbsp;</td><td>
As HBL_NORMAL, except the application guarantees not to overwrite any region of the buffer which has already been used in this frame, can allow some optimisation on some APIs. 
<p>
</td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00115">115</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="17e622be7c689d6093d5705f944d6515"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::DefaultHardwareIndexBuffer" ref="17e622be7c689d6093d5705f944d6515" args="(IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DefaultHardwareIndexBuffer::DefaultHardwareIndexBuffer           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a>&nbsp;</td>
          <td class="paramname"> <em>idxType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>numIndexes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">HardwareBuffer::Usage</a>&nbsp;</td>
          <td class="paramname"> <em>usage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c5c21c1c2b849c6e562539b486d24b06"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::~DefaultHardwareIndexBuffer" ref="c5c21c1c2b849c6e562539b486d24b06" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::DefaultHardwareIndexBuffer::~DefaultHardwareIndexBuffer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="a6fb414450d575e1ee37f3d72415da70"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lockImpl" ref="a6fb414450d575e1ee37f3d72415da70" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::DefaultHardwareIndexBuffer::lockImpl           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a>&nbsp;</td>
          <td class="paramname"> <em>options</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#59021d471dfa4598bd1a98d6982ac558">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="5d2c3465f93214d1035ac698df6f4a65"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::unlockImpl" ref="5d2c3465f93214d1035ac698df6f4a65" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultHardwareIndexBuffer::unlockImpl           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#82ec5566379a4c76fea8b68d55ee9d6f">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="6889643eecbb00da9ae4c13042c28a42"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::readData" ref="6889643eecbb00da9ae4c13042c28a42" args="(size_t offset, size_t length, void *pDest)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultHardwareIndexBuffer::readData           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>pDest</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#552f466b57ba77f29e083266d4688765">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="f483fb9a4dad86099af6ab2c9c8f24dd"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::writeData" ref="f483fb9a4dad86099af6ab2c9c8f24dd" args="(size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultHardwareIndexBuffer::writeData           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>pSource</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>discardWholeBuffer</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
See <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBuffer.html#8c313688a0df3c28a36738c31fcbc3ee">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="377ec1f48ea9a94ae6c84010dd697618"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lock" ref="377ec1f48ea9a94ae6c84010dd697618" args="(size_t offset, size_t length, LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::DefaultHardwareIndexBuffer::lock           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a>&nbsp;</td>
          <td class="paramname"> <em>options</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing. 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#b1caebda1f7442706df97531c2d90aaf">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="99e0bdf70d975699bffaf987a4616b3e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::unlock" ref="99e0bdf70d975699bffaf987a4616b3e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::DefaultHardwareIndexBuffer::unlock           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override <a class="el" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a> to turn off all shadowing. 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1HardwareBuffer.html#64ddd429ff2c8ac4f0cca5decb5c6757">Ogre::HardwareBuffer</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f2671fe0ad937070ea24d9bc7626cd3"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getType" ref="3f2671fe0ad937070ea24d9bc7626cd3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a> Ogre::HardwareIndexBuffer::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the type of indexes used in this buffer. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00059">59</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b9e775a91b90c6bbac888d97fe51d9d2"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getNumIndexes" ref="b9e775a91b90c6bbac888d97fe51d9d2" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::HardwareIndexBuffer::getNumIndexes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the number of indexes in this buffer. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00061">61</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="294ab09e6caef25b3c42c277a5de95e1"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getIndexSize" ref="294ab09e6caef25b3c42c277a5de95e1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::HardwareIndexBuffer::getIndexSize           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the size in bytes of each index. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00063">63</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="93b204642190e611bc226ea08d29160e"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::lock" ref="93b204642190e611bc226ea08d29160e" args="(LockOptions options)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* Ogre::HardwareBuffer::lock           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html#ac34930556f611928ec9157c04bd1b0f">LockOptions</a>&nbsp;</td>
          <td class="paramname"> <em>options</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lock the entire buffer for (potentially) reading / writing. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>options</em>&nbsp;</td><td>Locking options </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>Pointer to the locked memory </dd></dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00205">205</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="721891f0c0bd391dd5848c8a585ba054"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::copyData" ref="721891f0c0bd391dd5848c8a585ba054" args="(HardwareBuffer &amp;srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::HardwareBuffer::copyData           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>srcBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>srcOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>dstOffset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>discardWholeBuffer</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Copy data from another buffer into this one. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that the source buffer must not be created with the usage HBU_WRITE_ONLY otherwise this will fail. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>srcBuffer</em>&nbsp;</td><td>The buffer from which to read the copied data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>srcOffset</em>&nbsp;</td><td>Offset in the source buffer at which to start reading </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dstOffset</em>&nbsp;</td><td>Offset in the destination buffer to start writing </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>length</em>&nbsp;</td><td>Length of the data to copy, in bytes. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>discardWholeBuffer</em>&nbsp;</td><td>If true, will discard the entire contents of this buffer before copying </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00269">269</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

<p>References <a class="el" href="OgreHardwareBuffer_8h-source.html#l00175">Ogre::HardwareBuffer::lock()</a>, and <a class="el" href="OgreHardwareBuffer_8h-source.html#l00221">Ogre::HardwareBuffer::unlock()</a>.</p>

</div>
</div><p>
<a class="anchor" name="344c52f2214eaff097d5fbc390e7684b"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::_updateFromShadow" ref="344c52f2214eaff097d5fbc390e7684b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::HardwareBuffer::_updateFromShadow           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Updates the real buffer from the shadow buffer, if required. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00279">279</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1b1b5faf06139040824fd989d0b279f8"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getSizeInBytes" ref="1b1b5faf06139040824fd989d0b279f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Ogre::HardwareBuffer::getSizeInBytes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the size of this buffer in bytes. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00304">304</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e00770f5e9395e41b6520be8421a6c8"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::getUsage" ref="0e00770f5e9395e41b6520be8421a6c8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a> Ogre::HardwareBuffer::getUsage           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the Usage flags with which this buffer was created. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00306">306</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="61086322fba08abadf4fe6734a7c70f7"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::isSystemMemory" ref="61086322fba08abadf4fe6734a7c70f7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::HardwareBuffer::isSystemMemory           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether this buffer is held in system memory. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00308">308</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d523887cfaa6abe48dd494a3ea06805a"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::hasShadowBuffer" ref="d523887cfaa6abe48dd494a3ea06805a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::HardwareBuffer::hasShadowBuffer           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether this buffer has a system memory shadow for quicker reading. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00310">310</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d5a62cbd76fc2ecd4e1a540bac5f9bc"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::isLocked" ref="3d5a62cbd76fc2ecd4e1a540bac5f9bc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::HardwareBuffer::isLocked           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether or not this buffer is currently locked. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00312">312</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="688e1be4a913099ce5e06172771e2d45"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::suppressHardwareUpdate" ref="688e1be4a913099ce5e06172771e2d45" args="(bool suppress)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::HardwareBuffer::suppressHardwareUpdate           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppress</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> true to suppress hardware upload of shadow buffer changes. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00316">316</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a814123a952812a4b12d241f8b3e11fc"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mpData" ref="a814123a952812a4b12d241f8b3e11fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned char* <a class="el" href="classOgre_1_1DefaultHardwareIndexBuffer.html#a814123a952812a4b12d241f8b3e11fc">Ogre::DefaultHardwareIndexBuffer::mpData</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html#l00070">70</a> of file <a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html">OgreDefaultHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d55227078ba92018afb29c98a1287eb6"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIndexType" ref="d55227078ba92018afb29c98a1287eb6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBuffer.html#25ba4923e015d46de162f7cc4c256326">IndexType</a> <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#d55227078ba92018afb29c98a1287eb6">Ogre::HardwareIndexBuffer::mIndexType</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00049">49</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8dfffabc8a138184c98227c7ad4fe871"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mNumIndexes" ref="8dfffabc8a138184c98227c7ad4fe871" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#8dfffabc8a138184c98227c7ad4fe871">Ogre::HardwareIndexBuffer::mNumIndexes</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00050">50</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="55901ccfe05b1d3dc65be17174aae6ed"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIndexSize" ref="55901ccfe05b1d3dc65be17174aae6ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareIndexBuffer.html#55901ccfe05b1d3dc65be17174aae6ed">Ogre::HardwareIndexBuffer::mIndexSize</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareIndexBuffer_8h-source.html#l00051">51</a> of file <a class="el" href="OgreHardwareIndexBuffer_8h-source.html">OgreHardwareIndexBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8fecea9221ffacaae2f1fdea38558da"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSizeInBytes" ref="a8fecea9221ffacaae2f1fdea38558da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#a8fecea9221ffacaae2f1fdea38558da">Ogre::HardwareBuffer::mSizeInBytes</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00135">135</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2eb83f024781415a7fefb31f65a255c2"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mUsage" ref="2eb83f024781415a7fefb31f65a255c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630">Usage</a> <a class="el" href="classOgre_1_1HardwareBuffer.html#2eb83f024781415a7fefb31f65a255c2">Ogre::HardwareBuffer::mUsage</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00136">136</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="25edb91791e48a7cc9ba2fb05f11bd33"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mIsLocked" ref="25edb91791e48a7cc9ba2fb05f11bd33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#25edb91791e48a7cc9ba2fb05f11bd33">Ogre::HardwareBuffer::mIsLocked</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00137">137</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="272cf9751affd73ea03930153357930b"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mLockStart" ref="272cf9751affd73ea03930153357930b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#272cf9751affd73ea03930153357930b">Ogre::HardwareBuffer::mLockStart</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00138">138</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c96a7a04f4e29d8d00117a80d9a1c9a0"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mLockSize" ref="c96a7a04f4e29d8d00117a80d9a1c9a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBuffer.html#c96a7a04f4e29d8d00117a80d9a1c9a0">Ogre::HardwareBuffer::mLockSize</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00139">139</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f97b321278124803d13b700a46657ecb"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSystemMemory" ref="f97b321278124803d13b700a46657ecb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#f97b321278124803d13b700a46657ecb">Ogre::HardwareBuffer::mSystemMemory</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00140">140</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2caed02d4c9ad400d020ea8b0b24adf4"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mUseShadowBuffer" ref="2caed02d4c9ad400d020ea8b0b24adf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#2caed02d4c9ad400d020ea8b0b24adf4">Ogre::HardwareBuffer::mUseShadowBuffer</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00141">141</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="01ef9e872aec8bb74b75be1aff787c8f"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mpShadowBuffer" ref="01ef9e872aec8bb74b75be1aff787c8f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a>* <a class="el" href="classOgre_1_1HardwareBuffer.html#01ef9e872aec8bb74b75be1aff787c8f">Ogre::HardwareBuffer::mpShadowBuffer</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00142">142</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="68127e87e132304c7655df554a82110c"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mShadowUpdated" ref="68127e87e132304c7655df554a82110c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#68127e87e132304c7655df554a82110c">Ogre::HardwareBuffer::mShadowUpdated</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00143">143</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="47e53af2e87624c42ab934766bf65fca"></a><!-- doxytag: member="Ogre::DefaultHardwareIndexBuffer::mSuppressHardwareUpdate" ref="47e53af2e87624c42ab934766bf65fca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1HardwareBuffer.html#47e53af2e87624c42ab934766bf65fca">Ogre::HardwareBuffer::mSuppressHardwareUpdate</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBuffer_8h-source.html#l00144">144</a> of file <a class="el" href="OgreHardwareBuffer_8h-source.html">OgreHardwareBuffer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreDefaultHardwareBufferManager_8h-source.html">OgreDefaultHardwareBufferManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:32 2008
</p>
</body>
</html>
